curl --url https://try.flipt.io/api/v1/namespaces/default/flags/{flagKey}/rollouts/{id} \
--header 'Accept: application/json'
{
"id": "<string>",
"namespaceKey": "<string>",
"flagKey": "<string>",
"rank": 123,
"description": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"segment": {
"segmentKey": "<string>",
"value": true,
"segmentKeys": [
"<string>"
]
},
"threshold": {
"percentage": 123,
"value": true
}
}Rollouts
Get Rollout
GET
/
api
/
v1
/
namespaces
/
{namespaceKey}
/
flags
/
{flagKey}
/
rollouts
/
{id}
curl --url https://try.flipt.io/api/v1/namespaces/default/flags/{flagKey}/rollouts/{id} \
--header 'Accept: application/json'
{
"id": "<string>",
"namespaceKey": "<string>",
"flagKey": "<string>",
"rank": 123,
"description": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"segment": {
"segmentKey": "<string>",
"value": true,
"segmentKeys": [
"<string>"
]
},
"threshold": {
"percentage": 123,
"value": true
}
}Documentation Index
Fetch the complete documentation index at: https://docs.flipt.io/llms.txt
Use this file to discover all available pages before exploring further.
curl --url https://try.flipt.io/api/v1/namespaces/default/flags/{flagKey}/rollouts/{id} \
--header 'Accept: application/json'
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Response
200 - application/json
OK
Available options:
UNKNOWN_ROLLOUT_TYPE, SEGMENT_ROLLOUT_TYPE, THRESHOLD_ROLLOUT_TYPE Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I